/* 
 * File:   IO_Pins.h
 * Author: ernestepistola
 *
 * Created on February 28, 2015, 10:11 PM
 */

#ifndef IO_PINS_H
#define	IO_PINS_H

#define	IO_PINS_H

#define LCD_CS LATAbits.LATA4
#define LCD_WR LATCbits.LATC3
#define LCD_RD LATCbits.LATC4
#define LCD_RESET LATFbits.LATF2
#define LCD_RS LATFbits.LATF1
#define LCD_PORT LATE

#define LCD_CS_TRIS TRISAbits.TRISA4
#define LCD_WR_TRIS TRISCbits.TRISC3
#define LCD_RD_TRIS TRISCbits.TRISC4
#define LCD_RESET_TRIS TRISFbits.TRISF2
#define LCD_RS_TRIS TRISFbits.TRISF1
#define LCD_PORT_TRIS TRISE

#define SPI_SCK LATDbits.LATD1
#define SPI_SDI LATDbits.LATD10
#define SPI_SDO LATAbits.LATA14
#define SPI_SD_CARD_SS LATBbits.LATB11

#define SPI_SCK_TRIS TRISDbits.TRISD1
#define SPI_SDI_TRIS TRISDbits.TRISD10
#define SPI_SDO_TRIS TRISAbits.TRISA14
#define SPI_SD_CARD_SS_TRIS TRISBbits.TRISB11


#endif	/* IO_PINS_H */

